﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Web;


namespace WebApplication2.basicas
{
    public class Meta
    {
        private int _idMetas;
        private string _descricao;
        private DateTime _dataDaConquista;
        private string _fichaExercicios;

        public Meta()
            : this("Nenhuma", new DateTime(), null)
        { }

        public Meta(string descricao, DateTime data, string ficha)
        {
            this._descricao = descricao;
            this._dataDaConquista = data;
            this._fichaExercicios = ficha;
            
        }

        #region Propriedades
        public int Id 
        {
            set { this._idMetas = value; }
            get { return this._idMetas; }
        }
        public DateTime Data
        {
            get { return this._dataDaConquista; }
            set { this._dataDaConquista = value; }
        }
        public string Descricao
        {
            get { return this._descricao; }
            set { this._descricao = value; }
        }
        public string Ficha
        {
            get { return this._fichaExercicios; }
            set { this._fichaExercicios = value; }
        }
        #endregion
    }
}
