﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Web;


namespace WebApplication2.basicas
{
    public class Refeicao
    {
        private int _idRefeicao;
        private int _coposDeAqua;
        private DateTime _data;
        private string _tipo;
        private int _calorias;
        private string _descricao;
        private string _infoNutricionais;
        private string _nome;
          

        public Refeicao()
            : this(0, new DateTime(), "", 0, "", null, "Nenhuma")
        { }

        public Refeicao(int coposDeAgua, DateTime data, string tipo, int calorias, string descricao, string infoNutricionais, string nome)
        {
            this._coposDeAqua = coposDeAgua;
            this._data = data;
            this._tipo = tipo;
            this._calorias = calorias;
            this._descricao = descricao;
            this._infoNutricionais = infoNutricionais;
            this._nome = nome;
            
        }


        #region Propriedades
        public int Id
        {
            get { return this._idRefeicao; }
            set { this._idRefeicao = value; }
        }
        public int Copos_De_Agua
        {
            get { return this._coposDeAqua; }
            set { this._coposDeAqua = value; }
        }
        public DateTime Data
        {
            get { return this._data; }
            set { this._data = value; }
        }
        public string Tipo
        {
            get { return this._tipo; }
            set { this._tipo = value; }
        }
        public int Calorias
        {
            get { return this._calorias; }
            set { this._calorias = value; }
        }
        public string Descricao
        {
            get { return this._descricao; }
            set { this._descricao = value; }
        }
        public string infoNutricionais
        {
            get { return this._infoNutricionais; }
            set { this._infoNutricionais = value; }
        }
        public string Nome
        {
            get { return this._nome; }
            set { this._nome = value; }
        }
        #endregion



    }
}
