package pg;

import java.awt.event.ActionEvent;
import java.awt.event.ActionListener;
import java.util.Vector;

import javax.swing.JButton;
import javax.swing.JFrame;
import javax.swing.JLabel;
import javax.swing.JPanel;
import javax.swing.JToggleButton;
import javax.swing.UIManager;

@SuppressWarnings("serial")
public class JanelaPrincipal extends JFrame {
  int count = 0;

  private Bezier canvas;
  
  // Constructor
  public  JanelaPrincipal()  {
	  init();
  }

@SuppressWarnings("static-access")
public void init()  {

	this.setSize(1000, 480);
	this.setResizable(false);
	this.setLocation(120, 0);
	// 80 corresponde ao tamanho do panel acoes e o 25 coloquei pq n sabia pq tava passando
    canvas = new Bezier(1000 - 15,480 - 80);
    this.setTitle("Paulo Otvio & Bruno Inojosa");
    this.add("Center", canvas);
    JPanel painel = new JPanel();
    
    JPanel painelAcoes = new JPanel();
    
    JButton botaoMais = new JButton("+");
    JButton botaoMenos = new JButton("-");
    JButton botaoClear = new JButton("Clear");
    JButton botaoRemoverPonto = new JButton("Remover Ponto");
    JToggleButton botaoRemoverPoligonal = new JToggleButton("Suprimir Polgono");
    JToggleButton botaoSuprimirPontos = new JToggleButton("Suprimir Pontos");
    JToggleButton botaosuprimirCurva = new JToggleButton("Suprimir Curva");
    
    final JLabel numeroDeAvaliacoe = new JLabel("4");
    numeroDeAvaliacoe.setSize(15,2);

    botaoMais.addActionListener(new ActionListener(){
    	@Override
		public void actionPerformed(ActionEvent arg0) {
    		int temp = Integer.parseInt(numeroDeAvaliacoe.getText()) + 1;
    		numeroDeAvaliacoe.setText("" + temp);
    		canvas.setQtdAvaliacoes(Integer.parseInt(numeroDeAvaliacoe.getText()));
		}
    });
    
    botaoMenos.addActionListener(new ActionListener(){
    	@Override
		public void actionPerformed(ActionEvent arg0) {
    		int temp = Integer.parseInt(numeroDeAvaliacoe.getText()) - 1;
    		if(temp == -1){
    			temp = 0;
    		}
    		numeroDeAvaliacoe.setText("" + temp);
    		canvas.setQtdAvaliacoes(Integer.parseInt(numeroDeAvaliacoe.getText()));
		}
    });
    
    botaoClear.addActionListener(new ActionListener(){
		@Override
		public void actionPerformed(ActionEvent arg0) {
			canvas.limparTela();
			canvas.setJanelaDerivada();
		}
    });
    
    botaoRemoverPonto.addActionListener(new ActionListener(){
		@Override
		public void actionPerformed(ActionEvent e) {
			canvas.removerPonto();
			canvas.setJanelaDerivada();
		}
    });
    
    botaoRemoverPoligonal.addActionListener(new ActionListener(){
		@Override
		public void actionPerformed(ActionEvent e) {
			canvas.removerPoligono();
		}
    });
    
    botaoSuprimirPontos.addActionListener(new ActionListener(){
		@Override
		public void actionPerformed(ActionEvent e) {
			canvas.suprimirPontos();
		}
    });
    
    botaosuprimirCurva.addActionListener(new ActionListener(){
		@Override
		public void actionPerformed(ActionEvent e) {
			canvas.suprimirCurva();
		}
    });
    
    painelAcoes.add("West", new JLabel("Quantidade de Avaliaes"));
    painelAcoes.add(botaoMais);
    painelAcoes.add(numeroDeAvaliacoe);
    painelAcoes.add(botaoMenos);
    painelAcoes.add(botaoClear);
    painelAcoes.add(botaoRemoverPonto);
    painelAcoes.add(botaoRemoverPoligonal);
    painelAcoes.add(botaoSuprimirPontos);
    painelAcoes.add(botaosuprimirCurva);
    
    painel.add(painelAcoes);
    this.add("South", painel);
    repaint();
    
    this.setVisible(true);
   	this.setDefaultCloseOperation(this.EXIT_ON_CLOSE);
  }

  public Vector<Ponto> getPontos(){
	  return this.canvas.getPontos();
  }
 
  public static void main(String args[]){
	  try {
	        UIManager.setLookAndFeel(
	        UIManager.getSystemLookAndFeelClassName());
	 } catch (Exception e) {
	         
	 }
	 new JanelaPrincipal();	  
	  
  }

} 



