package pg;

public class Ponto {

	public double x;
	public double y;

	// construtor Int
	public Ponto(int x, int y) {
		this.x = x;
		this.y = y;
	}

	// contrutor float
	public Ponto(double x, double y) {
		this.x = x;
		this.y = y;
	}

	public boolean near(int px, int py) {
		if ((Math.abs(x - px) < 4) && (Math.abs(y - py) < 4)) {
			return true;
		} else
			return false;
	}

	public double getX() {
		return x;
	}

	public void setX(double x) {
		this.x = x;
	}

	public double getY() {
		return y;
	}

	public void setY(double y) {
		this.y = y;
	}
	
	public Ponto mult(double d) {
		double novoX =  (d * this.x);
		double novoY =  (d * this.y);
		
		return new Ponto(novoX, novoY);
	}
	
	public Ponto soma(Ponto p) {

		if (p == null) {
			return this;
		} else {
			double novoX = p.x + this.x;
			double novoY = p.y + this.y;

			return new Ponto(novoX, novoY);
		}
	}
	
	public Ponto subtrai(Ponto p) {

		if (p == null) {
			return this;
		} else {
			double novoX = p.x - this.x;
			double novoY = p.y - this.y;

			return new Ponto(novoX, novoY);
		}
	}


}