﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Web;

namespace WebApplication2.basicas
{
    public class Atividade
    {
        private int _idAtividade;
        private string _tipo;
        private int _duracao;
        private int _intensidade;
        private int _caloriasQueimadas;
        private DateTime _data;

        public Atividade()
            : this("Nenhum",0,0,0, new DateTime())
        { }

        public Atividade(string tipo, int duracao, int intensidade, int caloriasQueimadas, DateTime data)
        {
            this._tipo = tipo;
            this._intensidade = intensidade;
            this._duracao = duracao;
            this._data = data;
            this._caloriasQueimadas = caloriasQueimadas;
        }


        #region Propriedades
        public int Id
        {
            get { return this._idAtividade; }
            set { this._idAtividade = value; }
        }
        public int Calorias
        {
            get { return this._caloriasQueimadas; }
            set { this._caloriasQueimadas = value; }
        }
        public DateTime Data
        {
            get { return this._data; }
            set { this._data = value; }
        }
        public int Duracao
        {
            get { return this._duracao; }
            set { this._duracao = value; }
        }
        public int Intensidade
        {
            get { return this._intensidade; }
            set { this._intensidade = value; }
        }
        public string Tipo
        {
            get { return this._tipo; }
            set { this._tipo = value; }
        }
        #endregion



    }
}
