﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Web;

namespace WebApplication2.basicas
{
    public class Mensagem
    {
        private int _idMsg;
        private string _texto;
        private DateTime _data;
        private string _remetente;

        public Mensagem()
            : this("", new DateTime(), "Nenhum")
        { }

        public Mensagem(string txt, DateTime data, string remetente) 
        {
            this._texto = txt;
            this._data = data;
            this._remetente = remetente;
        }

        #region Propriedades
        public int Id
        {
            set { this._idMsg = value; }
            get { return this._idMsg; }
        }
        public DateTime Data
        {
            get { return this._data; }
            set { this._data = value; }
        }
        public string Remetente
        {
            get { return this._remetente; }
            set { this._remetente = value; }
        }
        public string Texto
        {
            get { return this._texto; }
            set { this._texto = value; }
        }
        #endregion

    }
}
