﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Web;

namespace WebApplication2.basicas
{
    public class Peso
    {
        private double _kg;
        private DateTime _data;
        private int _id;

        public Peso()
            : this(0, new DateTime())
        { }

        public Peso(double kg, DateTime data) 
        {
            this._kg = kg;
            this._data = data;
        }

        #region Propriedades
        public int Id
        {
            set { this._id = value; }
            get { return this._id; }
        }
        public DateTime Data
        {
            get { return this._data; }
            set { this._data = value; }
        }
        public double Kilogramas
        {
            get { return this._kg; }
            set { this._kg = value; }
        }
        #endregion


    }
}
